from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class OpenSSL(Package):
  def full_name (self):
    return "openssl-0.9.8g"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/openssl-0.9.8g-1-MSYS-1.0.11-2-dll098.tar.gz",
                        "52d4bf6a15a93bccdb7ddf48198366cb")

  def extract (self):
    pass

  def patch (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("openssl-0.9.8g-1-MSYS-1.0.11-2-dll098.tar.gz", "msys")

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ OpenSSL() ]
