from buildutils import download_and_check, make, configure;
import utils;
from package import Package
from Path import Path

class XmlParserPerl (Package):
  def full_name (self):
    return "xml-parser-perl-2.36";

  def download (self):
    download_and_check ("http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/XML-Parser-2.36.tar.gz", "1b868962b658bd87e1563ecd56498ded")

  def extract (self):
    self.clear_and_unpack ("XML-Parser-2.36.tar.gz", "XML-Parser-2.36")

  def patch (self):
    print "patch"

  def compile (self):
    make ([ "perl", "Makefile.PL",
            "EXPATLIBPATH=" + self.config.PREFIX.join (Path ("lib")).unix(),
            "EXPATINCPATH=" + self.config.PREFIX.join (Path ("include")).unix()], "XML-Parser-2.36")
    make ([ "make" ], "XML-Parser-2.36")

  def install (self):
    make ([ "make", "install" ], "XML-Parser-2.36")

def packages():
  return [ XmlParserPerl() ]
