from buildutils import download_and_check
import utils
from package import Package

class GtkBundle (Package):
  def full_name (self):
    return "gtk+-bundle-2.16.2"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/gnome/binaries/win32/gtk+/2.16/gtk+-bundle_2.16.2-20090601_win32.zip", "017eab116a7353466ff9350b3c836526")

  def extract (self):
    pass
  
  def patch (self):
    print "patch"

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("gtk+-bundle_2.16.2-20090601_win32.zip", ".")

  def install (self):
    self.install_with_dist_image()


def packages():
  return [ GtkBundle() ] 
